ssmtp (2.64-12) unstable; urgency=medium

  * copyright: do not claim package is maintained
  * Patch incorrect pointer usage (Closes: #1075538)
  * Use dh sequencer to get dh_autoreconf
  * Remove obsolete upgrade code moving conffiles

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 06 Oct 2024 15:08:16 +0200

ssmtp (2.64-11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:31:50 +0100

ssmtp (2.64-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.61-6, 2.61-1, 2.60.12,
    2.60.11, 2.60.9, 2.60.8, 2.60.7.
  * Drop custom source compression.
  * Change priority extra to priority optional.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 03 Feb 2021 12:30:25 +0000

ssmtp (2.64-9) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible.
    Thanks to Chris Lamb (Closes: #777398)
  * Fix permissions and ownership of config file.
    Thanks to Simon Deziel (Closes: #661954)
  * Update Vcs-* URLs to current location
  * Use a page which follows policy §5.6.23 better
  * Add patch to keep From: header if FromLineOverride=NO.
    Thanks to Herbert Xu (Closes: #939298)
  * Fix cross building.
    Thanks to Helmut Grohne for the original patch (Closes: #861420)
  * Orphaned package: set QA Group as maintainer

 -- Ricardo Mones <mones@debian.org>  Wed, 29 Apr 2020 16:59:35 +0200

ssmtp (2.64-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix TLS 1.3 handshake (Closes: #932605, #933236)

 -- Ricardo Mones <mones@debian.org>  Tue, 13 Aug 2019 09:34:45 +0200

ssmtp (2.64-8) unstable; urgency=medium

  * Fix "Partial loss of message body, sending message to wrong recipicients".
    Reported by Christoph Biedl <debian.axhn@manchmal.in-ulm.de>.
    Patch by "Daniel Richard G." <skunk@iSKUNK.ORG>.
    Add ssmtp-bug584162-fix.patch.
    Closes: #584162.
  * Refresh patches.
  * Standards-Version: 3.9.5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 15 Jul 2014 01:49:18 +0100

ssmtp (2.64-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to allow
    transitioning to newer GnuTLS. Closes: #731605
  * Fix building with umask != 0022 with
    "chmod 644 debian/tmp/DEBIAN/templates"

 -- Andreas Metzler <ametzler@debian.org>  Fri, 11 Apr 2014 19:40:24 +0200

ssmtp (2.64-7) unstable; urgency=low

  * Use hardening options
    Add 05-LDFLAGS.patch
  * Standards version: 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Jun 2012 08:41:49 +1000

ssmtp (2.64-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from David Mearns to fix addition of garbage at end of
    attachments (closes: Bug#508759)

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 24 Jun 2012 17:02:16 -0700

ssmtp (2.64-6) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #654753
    - Danish (Joe Hansen).  Closes: #654923
    - Slovak (Ivan Masár).  Closes: #656529

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 28 Jan 2012 11:55:13 +1100

ssmtp (2.64-5) unstable; urgency=low

  [ Iain Lane ]
  * Link against libgnutls-openssl; fixes FTBFS against multiarch enabled
    gnutls (Closes: #636143)

  [ Anibal Monsalve Salazar ]
  * Fix unneeded-build-dep-on-quilt
  * Fix debian-rules-missing-recommended-target
  * Standards-Version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Aug 2011 21:23:43 +1000

ssmtp (2.64-4) unstable; urgency=low

  * Set back permissions as before 2.64-1
    Closes: 570971, 572154, 559900, 557948, 560397
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall). Closes: 569003, 569654
    - Brazilian Portuguese (Jef Lui). Closes: 576535

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 08 Apr 2010 16:17:50 +1000

ssmtp (2.64-3) unstable; urgency=low

  * Change ssmtp permissions
    Patch by Jörg Sommer
    Closes: 567906

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Feb 2010 17:34:17 +1100

ssmtp (2.64-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane(Debian-JP)).  Closes: #557773
    - Galician (Marce Villarino).  Closes: #557862
    - Swedish (Martin Ågren).  Closes: #558142
    - Italian (Luca Monducci).  Closes: #558367
    - Czech (Miroslav Kure).  Closes: #558415
    - German (Erik Schanze).  Closes: #559081
    - Spanish (Francisco Javier Cuadrado).  Closes: #559416
    - Portuguese (Ricardo Silva).  Closes: #559494
    - Russian (Yuri Kozlov).  Closes: #559528
    - French (Michel Grentzinger).  Closes: #559579
    - Finnish (Esko Arajärvi).  Closes: #564490

  [ Anibal Monsalve Salazar ]
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Feb 2010 16:53:37 +1100

ssmtp (2.64-1) unstable; urgency=low

  * New upstream version
    Delete 02-397149-amd64-crammd5.patch (merged)
  * Source package format is 3.0 (quilt)
  * Fix out-of-date-standards-version
  * Fix malformed-prompt-in-templates
  * Fix no-homepage-field
  * Add 02-557725-solaris.patch by Darik Horn to make ssmtp compatible
    with Solaris 11. Closes: 557725
  * Add 03-557741-remote-addr.patch by Victor Sudakov to insert the X-
    Originating-IP header. Closes: 557741
  * Make AuthUser/AuthPass not visible to all users. Closes: 500454

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Nov 2009 14:21:52 +1100

ssmtp (2.63-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * allow cram-md5 authentication to work on 64bit systems, by applying patch
    provided by Ingo Rohloff in the bug report (closes: 397149)

 -- Philip Hands <phil@hands.com>  Sun, 27 Sep 2009 09:48:41 +0100

ssmtp (2.63-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright
  * Update 01-374327-use-gnutls.patch
  * Fix out-of-date-standards-version
  * Update Vcs-Git and Vcs-Browser in debian/control
  * Fix maintainer-script-without-set-e
  * Fix copyright-refers-to-symlink-license
  * Failover to multiple mailhubs in IPv4. Closes: 351993

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Jul 2009 14:18:13 +1000

ssmtp (2.62-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Mon, 04 May 2009 15:19:53 -0500

ssmtp (2.62-3) unstable; urgency=medium

  * Fix pending l10n issues. Debconf translations:
    - Vietnamese. Closes: #513670

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 31 Jan 2009 20:06:28 +1100

ssmtp (2.62-2.2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.
  * Dropped debian/patches/03_fix_buffer_overflow: debian provides a fix

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Thu, 18 Dec 2008 02:25:45 -0500

ssmtp (2.62-2.2) unstable; urgency=medium

  * NMU.
  * Make sure that a CRLF is output even when the message from stdin
    doesn't have one. Closes: #506188

 -- Kari Pahula <kaol@debian.org>  Fri, 21 Nov 2008 10:09:02 +0200

ssmtp (2.62-2.1) unstable; urgency=low

  * NMU.
  * Only double leading dots at line start and don't overexpand buffer in
    standardise().  Don't add extra "\r\n" endings in between lines over
    BUF_SZ bytes long. Closes: #345780

 -- Kari Pahula <kaol@debian.org>  Tue, 04 Nov 2008 15:11:15 +0200

ssmtp (2.62-2ubuntu2) jaunty; urgency=low

  * Removed duplicated entry in debian/patches/series

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Thu, 06 Nov 2008 21:23:38 -0500

ssmtp (2.62-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.
    - debian/patches/03_fix_buffer_overflow: adjust ssmtp.c to fix
      a buffer overflow with using 2 bytes in length instead of one in buffer.

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Wed, 05 Nov 2008 09:09:19 -0500

ssmtp (2.62-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #492108
    - Finnish. Closes: #501709

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 14 Oct 2008 19:56:05 +1100

ssmtp (2.62-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix possible information disclosure in corner cases (no gecos)
    by adding a missing else branch (02-CVE-2008-3962; Closes: #498366).

 -- Nico Golde <nion@debian.org>  Thu, 02 Oct 2008 14:15:57 +0200

ssmtp (2.62-1ubuntu3) intrepid; urgency=low

  * SECURITY UPDATE: allow remote attackers to obtain sensitive
    information (LP: #278978)
  * debian/patches/02-CVE-2008-3962: adjust in ssmtp.c to fix
    unitialized memory disclosure.
  * SECURITY UPDATE: Buffer overflow (LP: #282424)
  * debian/patches/03_fix_buffer_overflow: adjust ssmtp.c to fix
    a buffer overflow with using 2 bytes in length instead of one in buffer.
  * References:
    CVE-2008-3962
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498366

 -- Stefan Ebner <sebner@ubuntu.com>  Tue, 07 Oct 2008 16:22:39 +0200

ssmtp (2.62-1ubuntu2) intrepid; urgency=low

  * No-change rebuild for libgnutls13 -> libgnutls26 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 11 Oct 2008 01:31:00 +1100

ssmtp (2.62-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. (LP: #231370) Remaining Ubuntu changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.
    - Updated maintainer field as per spec.

 -- Stefan Ebner <sebner@ubuntu.com>  Fri,  7 Mar 2008 11:31:32 +0100

ssmtp (2.62-1) unstable; urgency=low

  * New upstream version
    - New COPYRIGHT file. Closes: #456442
  * Added Portuguese po-debconf translation. (Closes: #421178)
  * Updated debian/copyright
  * Bumped Standards-Version to 3.7.3
  * Use quilt to maintain patches

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 07 Mar 2008 07:16:20 +1100

ssmtp (2.61-13ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.
    - Added dpatch B-D in debian/control
    - Added dpatch support in debian/rules
    - Updated maintainer field as per spec.

 -- Stefan Ebner <hellboy195@gmail.com>  Thu, 3 Jan 2008 21:10:48 +0200

ssmtp (2.61-13) unstable; urgency=low

  * Added Italian po-debconf translation. (Closes: #446158)
  * Added Vcs-Svn and Vcs-Broswer entries in debian/control

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 31 Oct 2007 11:53:05 +0100

ssmtp (2.61-12.1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.
    - Added dpatch B-D in debian/control
    - Added dpatch support in debian/rules
  * Updated maintainer field as per spec.

 -- Andrea Veri <bluekuja@ubuntu.com>  Sun, 21 Oct 2007 20:52:48 +0200

ssmtp (2.61-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo in logcheck regex (Closes: #427737).
  * cdebconf transition: allow the dependency on debconf to be satisfied with
    an alternate of debconf-2.0 (Closes: #332105).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 20 Aug 2007 21:08:14 +0200

ssmtp (2.61-12ubuntu1) gutsy; urgency=low

  * Addded password-handling patch, now smtp authentication
    allows the use of ":" . (LP: #86425)
  * Maintainer set to MOTU developers

 -- Andrea Veri <bluekuja@ubuntu.com>  Mon, 11 Jun 2007 11:30:55 +0200

ssmtp (2.61-12) unstable; urgency=low

  * Updated Russian Debconf translation. (Closes: #414081)
  * Added Dutch po-debconf translation. (Closes: #415503)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 20 Mar 2007 14:12:00 -0500

ssmtp (2.61-11.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #407856
    - Galician. Closes: #413577

 -- Christian Perrier <bubulle@debian.org>  Tue,  6 Mar 2007 18:20:22 +0100

ssmtp (2.61-11) unstable; urgency=low

  * ACK NMU. Closes: #369542.
  * Updated Japanese debconf translation. Closes: #394106.
    Patch by Hideki Yamane <henrich@debian.or.jp>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Dec 2006 12:15:28 +1100

ssmtp (2.61-10.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix Information leak in ssmtp that leads to password exposure.
    Closes: #369542

 -- Andreas Barth <aba@not.so.argh.org>  Mon,  4 Dec 2006 11:03:19 +0000

ssmtp (2.61-10) unstable; urgency=low

  * Added Spanish po-debconf translation (Closes: #393223)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 15 Oct 2006 11:32:46 -0500

ssmtp (2.61-9) unstable; urgency=low

  * cram-md5 enabled. --enable-md5auth used in configure (Closes: #384145)
  * Updated cs.po, by Miroslav Kure <kurem@upcase.inf.upol.cz>
    (Closes: #389186)
  * arpadate.c: date was mangled when using compilers that don't support
    %_d conversion. (Closes: #357281)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 08 Oct 2006 10:26:20 -0500

ssmtp (2.61-8) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Updated fr.po, by Michel Grentzinger <mic.grentz@online.fr>
    (Closes: #376345)

  [ Alejandro Rios ]
  * Initial port from openssl to gnutls (Closes: #374327)

  [ Anibal Monsalve Salazar ]
  * configure: replaced -lssl with /usr/lib/libgnutls-openssl.so.
    See #374327.
  * ssmtp.c: replaced SSL_CTX_use_certificate_chain_file with
    SSL_CTX_use_certificate_file and marked SSL_CTX_check_private_key
    as not used. See #374327.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 10 Aug 2006 11:02:01 -0500

ssmtp (2.61-7) unstable; urgency=low

  * ssmtp maintained via alioth: http://alioth.debian.org/projects/ssmtp/
  * Enabled IPv6. Configured with --enable-inet6 Closes: #349457
  * Added Russian debconf translation. Thanks to "Yuriy Talakan'".
    Closes: #367211
  * Fixed error in french debconf translation. Patch by Sylvain Archenault.
    Closes: #369370
  * New co-maintainer's email address.
  * Standars version updated to 3.7.2
  * Updated FSF's address
  * Fixed some malformed-prompt-in-templates in debconf templates

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 23 Jun 2006 15:54:06 -0500

ssmtp (2.61-6) unstable; urgency=low

  * AddHeader option, patch applied (Closes: #223329)
  * Version number was not correct, updated to 2.61 (Closes: #297636)
  * FTBFS on hurd-i386: Unconditonal use of system limit macros
    (Closes: #344815)
  * Added Swedish translation of the debconf template, thanks to Daniel
    Nylander <yeager@lidkoping.net> (Closes: #351349)

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Sat, 18 Feb 2006 00:13:26 -0500

ssmtp (2.61-5) unstable; urgency=high

  * Fixed "broken pipe -- ssmtp exits before end of input", closes:
    #310327, #316254. Patches by Aidas Kasparas <a.kasparas@gmc.lt>,
    Wouter Van Hemel <debian@publica.duodecim.org> and John Eikenberry
    <jae@zhar.net>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Sep 2005 22:15:56 +1000

ssmtp (2.61-4) unstable; urgency=low

  * Added Vietnamese translation for debconf template, Closes: #319835
  * Added an ignore script for logcheck, Closes: #319942

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Mon, 25 Jul 2005 14:26:18 -0500

ssmtp (2.61-3) unstable; urgency=low

  * Fixed "help ssmtp compile and run properly on other platforms",
    closes: #273268. Patch by talon <talon@cosmic-cow.net>.
  * Fixed "Could include a config file example or manual page with all the
    options", closes: #261976. Patch by Reuben Thomas <rrt@sc3d.org>.
  * Fixed "ssmtp SIGSEGV unexpectly using PLAIN authentication", closes:
    #280531. Patch by Alessio Orlandi <alessio.orlandi@lamortenera.it>.
  * Updated German translation of the debconf templates, closes: #281216.
    Patch by Erik Schanze <schanzi_usenet@gmx.de>.
  * Added Czech translation of ssmtp debconf templates, closes: #288020.
    Patch by Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * Added support for the new style of AUTH LOGIN usage, closes: #284410.
    Patch by Jan L Peterson <jlp@softhome.net>.
  * Fixed "Specify alternate configuration file", closes: #294157.
    Patch by Rudy Taraschi <rudy@cae.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 08 May 2005 22:18:44 +1000

ssmtp (2.61-2) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 Feb 2005 21:39:05 +1100

ssmtp (2.61-1) unstable; urgency=low

  * Unnecessary links against libnsl (Closes: #263497).
    Patch by Zack Weinberg <zack@codesourcery.com>
  * Misplaced quote (Closes: #271507).
    Patch by Thomas Kaehn <tk@westend.com>
  * debian/rules clean target should not depend on do_cfg (Closes: #263499).
    Patch by Zack Weinberg <zack@codesourcery.com>
  * Debug config file option (Closes: #266492).
    Patch by Matthew Palmer <mpalmer@debian.org>
  * Update of the French translation of the debconf templates (Closes: #267576).
    Patch by Michel Grentzinger <mic.grentz@online.fr>
  * Additional information (UID, name, outgoing bytes) in logfile
    (Closes: #271511). Patch by Thomas Kaehn <tk@westend.com>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 17 Sep 2004 22:22:04 +1000

ssmtp (2.60.12) unstable; urgency=low

  * Segfaults when trying to send mail with authenticated smtp (Closes: #261975)
    Changed debian/rules to remove --enable-md5auth (it will not be enabled
    during the build).
  * Changing FromLineOverride with dpkg-reconfigure doesn't work
    (Closes: #262146) Changed debian/postinst.
  * Japanese po-debconf template translation (Closes: #262747)
    Patch by Hideki Yamane <henrich@samba.gr.jp>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Mon, 02 Aug 2004 09:58:19 +1000

ssmtp (2.60.11) unstable; urgency=low

  * md5auth/md5c.o: could not read symbols: File in wrong format
    (Closes: #261445) Changed Makefile.in to remove md5auth/*.o.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Mon, 26 Jul 2004 15:42:15 +1000

ssmtp (2.60.10) unstable; urgency=low

  * Make address rewriting possible to disable (Closes: #146238)
    Patch contributed by Eric Lammerts <eric@lammerts.org>
    Patch applied was contributed by Arthur de Jong <arthur@west.nl>
  * Include TLS in /usr/share/doc/ssmtp (Closes: #249895)
    Changed debian/rules.
  * Add AuthUser, AuthPass, AuthMethod to configuration file (Closes: #249905)
    Patch by Jim Paris <jim@jtan.com>
  * Logic to choose cram-md5 authentication is backwards (Closes: #249907)
    Patch by Jim Paris <jim@jtan.com>
    Changed configure.in to replace "md5suth" with "md5auth".
    Changed debian/rules to add --enable-md5auth to be enabled during the build.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 23 Jul 2004 16:11:45 +1000

ssmtp (2.60.9) unstable; urgency=low

  * Can not execute generate_config (Closes: #246225)
    Changed generate_config permissions.
  * Following INSTALL docs does build sSMTP on a Fedora Core 1 system
    (Closes: #246226) Changed INSTALL file. Patch by Sven Heinicke
    <sven@nec-labs.com>
  * ssmtp-2.60.4 does not compile if --enable-md5suth is set (Closes: #213194)
    Patch by Brandy Westcott <brandy@gentoo.org>
  * SSMTP builds with MD5 support but during the exchange it segfaults
    (Closes: #249203) Patch by Paul Davis <pdd@lucent.com>
  * Build system ignores CC environment (Closes: #198764)
    Patch by Moritz Barsnick <moritz+deb@barsnick.net>
  * Possible better config-file-generator (Closes: #245870) Included in the
    source root directory as generate_config_alt so people could try it. Patch
    by Jari Aalto and submitted by Robert R Schneck-McConnell
    <schneck@Math.Berkeley.EDU>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sun, 16 May 2004 12:50:54 +1000

ssmtp (2.60.8) unstable; urgency=low

  * Added CFLAGS to debian/rules
  * Documentation error - 4K limitation or not? (Closes: #220542)
    Updated debian/README.debian
  * SSL support not compiled in (Closes: #244660)
    Changed debian/rules. Patch by jacob@internet24.de
  * The source compilaton fails if ./configure --enable-logfile is selected
    (Closes: #242905) Changed ssmtp.c. Patch by Jari Aalto.
  * SSL/TLS support cannot handle STARTTLS (Closes: #244666)
    Changed ssmtp.c and TLS. Patch by jacob@internet24.de
  * generate_config has syntax errors (Closes: #245083)
    Changed generate_config. Patch by Sven Heinicke <sven@nec-labs.com>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 24 Apr 2004 14:29:58 +1000

ssmtp (2.60.7) unstable; urgency=high

  * Fixed two format string vulnerabilities (die() and log_event())
    (Closes: #243945) discovered by Max Vozeler <max@hinterhof.net>
    (CAN-2004-0156)
  * Creates bad date headers on some systems (Closes: #230864) Changed README
    file to warn Cygwin porters that they may need to #define USE_OLD_ARPADATE

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 16 Apr 2004 08:01:40 +1000

ssmtp (2.60.6) unstable; urgency=low

  * Added "Build-Depends: po-debconf" (Closes: #243260)

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Mon, 12 Apr 2004 15:05:23 +1000

ssmtp (2.60.5) unstable; urgency=low

  * New Maintainer (Closes: #241775)
  * Shouldn't overwrite configuration by default (Closes: #233556)
  * Switched to gettext for the debconf templates (Closes: #201795)
    Patch by Michel Grentzinger <mic.grentz@online.fr>
  * Added french translation of the debconf templates (Closes: #202274)
    Patch by Michel Grentzinger <mic.grentz@online.fr>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 10 Apr 2004 09:41:51 +1000

ssmtp (2.60.4) unstable; urgency=low

  * Fix 'MAIL FROM' problems with cron and the like setting bad 'From:'
    address when FromLineOverride=YES is set (Closes: #205513)
  * Update version string in ssmtp.c (Closes: #198763)
  * Work around missing spaces in headers (Closes: #192445)
  * Duplicate of 169931 (Closes: #183189)

 -- Matt Ryan <mryan@debian.org>  Sun, 17 Aug 2003 15:14:01 +0100

ssmtp (2.60.3) unstable; urgency=low

  * Check for overflow in gethostbyname() - thanks to Stephan Erickson
  * Fixes for SSL compilation from Tomas Nejedlik
  * TZ problem fix from Paul Eggert (Closes: #169931)
  * Unused variable bug fixed in previous version (Closes: #171146)
  * Fixed in earlier version (Closes: #168397)

 -- Matt Ryan <mryan@debian.org>  Sun,  8 Dec 2002 17:37:17 +0000

ssmtp (2.60.2) unstable; urgency=low

  * Header code fixes have not generated more bug reports (Closes: #161821)
  * Another crack at fixing cron related mail errors (Closes: #163747)
  * Use correct variable in from_format function (Closes: #166276)
  * Fix build problem on non-i386 platforms (Closes: #165007)
  * Never got around to closing this after answer given (Closes: #154908)

 -- Matt Ryan <mryan@debian.org>  Fri, 27 Sep 2002 14:22:21 +0100

ssmtp (2.60.1) unstable; urgency=low

  * New version

 -- Matt Ryan <mryan@debian.org>  Fri, 27 Sep 2002 14:22:21 +0100

ssmtp (2.50.10) unstable; urgency=low

  * Added patch from Thatcher Ulrich to correctly terminate multi-line
    headers with \r\n
  * The code for undisclosed-recipients has been integrated for a number
    of release with no bugs reported (Closes: #136787)
  * No new reports of problems with the new From: rewrite code added over
    the last few point releases (Closes: #132424)
  * This appears to have been a debconf issue, but was never formally closed
    until now (Closes: #111951)

 -- Matt Ryan <mryan@debian.org>  Sat, 27 Jul 2002 13:52:36 +0100

ssmtp (2.50.9) unstable; urgency=low

  * Added patch from Cr33p to compile with SSL
  * Added fix from Mark Ferlatte for TZ offset (Closes: #148608)

 -- Matt Ryan <mryan@debian.org>  Mon,  3 Jun 2002 13:00:27 +0100

ssmtp (2.50.8) unstable; urgency=low

  * Better description of FromLineOverride in config file and some fixes
    to the code to better handle the From: override cases (Closes: #143903)
  * Added fix for MAIL FROM when supplied From: line is NULL (Closes: #145640)

 -- Matt Ryan <mryan@debian.org>  Tue,  7 May 2002 14:23:20 +0100

ssmtp (2.50.7) unstable; urgency=low

  * Workaround incorrect RewriteDomain settings

 -- Matt Ryan <mryan@debian.org>  Mon,  6 May 2002 21:06:55 +0100

ssmtp (2.50.6) unstable; urgency=low

  * More problems with the header rewriting code (Closes: #140741)
  * Added nasty botch to work around group addreses not working

 -- Matt Ryan <mryan@debian.org>  Mon,  1 Apr 2002 14:08:04 +0100

ssmtp (2.50.5) unstable; urgency=low

  * Generate MAIL FROM from From: line if present (Closes: #139946)

 -- Matt Ryan <mryan@debian.org>  Fri, 29 Mar 2002 14:45:11 +0000

ssmtp (2.50.4) unstable; urgency=low

  * Make sure that from.c is checked out of RCS (Closes: #134440)

 -- Matt Ryan <mryan@debian.org>  Sun, 17 Feb 2002 22:56:21 +0000

ssmtp (2.50.3) unstable; urgency=low

  * Botch fix comes back to bite, patch from Jason Thomas hopefully fixes
    this problem (Closes: #133995)

 -- Matt Ryan <mryan@debian.org>  Fri, 15 Feb 2002 19:59:42 +0000

ssmtp (2.50.2) unstable; urgency=low

  * Botch fix for From: line mangling - proper fix will close bug report

 -- Matt Ryan <mryan@debian.org>  Wed, 13 Feb 2002 22:42:17 +0000

ssmtp (2.50.1) unstable; urgency=low

  * Remove debug code

 -- Matt Ryan <mryan@debian.org>  Sun, 10 Feb 2002 21:37:32 +0000

ssmtp (2.50) unstable; urgency=low

  * New version with candidate bug fixes

 -- Matt Ryan <mryan@debian.org>  Sun, 10 Feb 2002 21:05:57 +0000

ssmtp (2.48.3) unstable; urgency=low

  * Apply spelling fixes (Closes: #127419)

 -- Matt Ryan <mryan@debian.org>  Wed,  2 Jan 2002 19:39:14 +0000

ssmtp (2.48.2) unstable; urgency=low

  * Apply spelling fixes (Closes: #125381)

 -- Matt Ryan <mryan@debian.org>  Sat, 22 Dec 2001 11:58:12 +0000

ssmtp (2.48.1) unstable; urgency=low

  * No longer add symlink into /usr/doc (Closes: #123939)

 -- Matt Ryan <mryan@debian.org>  Sat, 15 Dec 2001 11:43:03 +0000

ssmtp (2.48) unstable; urgency=low

  * Fixed buffer overrun (Closes: #117713)

 -- Matt Ryan <mryan@debian.org>  Fri,  2 Nov 2001 10:58:46 +0000

ssmtp (2.47) unstable; urgency=low

  * Fix for dynamic header allocation code from Sam Couter (Closes: #115935)

 -- Matt Ryan <mryan@debian.org>  Wed, 17 Oct 2001 16:24:02 +0100

ssmtp (2.46) unstable; urgency=low

  * Fix new email address parsing code added in 2.45

 -- Matt Ryan <mryan@debian.org>  Tue, 16 Oct 2001 15:39:42 +0100

ssmtp (2.45) unstable; urgency=low

  * Added German debconf translations from Sebastian Felten (Closes: #114295)
  * Fixed parsing of -oeX options (Closes: #114162)
  * New email address parsing code

 -- Matt Ryan <mryan@debian.org>  Mon, 15 Oct 2001 19:42:48 +0100

ssmtp (2.44) unstable; urgency=low

  * Added support for '-f' specified email address with no '@domain.com'
    part (Closes: #108094)

 -- Matt Ryan <mryan@debian.org>  Fri, 10 Aug 2001 16:24:03 +0100

ssmtp (2.43) unstable; urgency=low

  * Major code reorganisation to cleanup and seperate into more logical parts.
  * Patched to allow From: with no domain part (Closes: #106994)

 -- Matt Ryan <mryan@debian.org>  Mon, 30 Jul 2001 12:43:27 +0100

ssmtp (2.40) unstable; urgency=low

  * Fix To/Cc/Bcc to handle multiple line entries (Closes: #105748)
  * Updated the 'verbose' and 'debug' options to give more information.
  * Changed to make package (more) Debian native.

 -- Matt Ryan <mryan@debian.org>  Sat, 21 Jul 2001 12:45:53 +0100

ssmtp (2.39-4) unstable; urgency=low

  * Check for SYSLOG properly to make sure we don't spam all users
    with syslog() messages (Closes: #103960)

 -- Matt Ryan <mryan@debian.org>  Mon,  9 Jul 2001 16:34:37 +0100

ssmtp (2.39-3) unstable; urgency=low

  * Fixup the syslog message to be more infomative (Closes: #100871)

 -- Matt Ryan <mryan@debian.org>  Fri,  6 Jul 2001 18:40:45 +0100

ssmtp (2.39-2) unstable; urgency=low

  * Reword debconf question on From: line override (Closes: #100433)

 -- Matt Ryan <mryan@debian.org>  Fri,  6 Jul 2001 17:59:37 +0100

ssmtp (2.39-1) unstable; urgency=low

  * Split up ssmtp.c into multiple logical pieces. Also support autoconf
    for application build.

 -- Matt Ryan <mryan@debian.org>  Tue,  8 May 2001 13:34:39 +0100

ssmtp (2.38-14) unstable; urgency=low

  * Added patch for alternate SMTP port selection

 -- Matt Ryan <mryan@debian.org>  Mon, 16 Apr 2001 12:50:23 +0100

ssmtp (2.38-13) unstable; urgency=low

  * Don't ask unnecessary questions on install/upgrade (Closes: #84770)

 -- Matt Ryan <mryan@debian.org>  Thu, 22 Mar 2001 12:35:07 +0000

ssmtp (2.38-12) unstable; urgency=low

  * Don't barf on preinst after broken NMU (Closes: #90367)

 -- Matt Ryan <mryan@debian.org>  Wed, 21 Mar 2001 20:43:58 +0000

ssmtp (2.38-11) unstable; urgency=low

  * Ask whether to overwrite config file (Closes: #84770)

 -- Matt Ryan <matt@banana.org.uk>  Mon, 19 Mar 2001 13:07:52 +0000

ssmtp (2.38-10) unstable; urgency=low

  * Backout non-maintainer changes (Closes: #90161)
  * Fix system UID check (Closes: #90029)

 -- Matt Ryan <matt@banana.org.uk>  Mon, 19 Mar 2001 12:50:48 +0000

ssmtp (2.38-9.1) unstable; urgency=low

  * Non-maintainer upload
  * Keeps an md5sum of auto-generated ssmtp.conf, and does not overwrite
    local admin's changes to this file. Fixes: #84770
  * Added /usr/doc symlink code to postinst and prerm.
  * Fixed permissions on install scripts to lintian's liking.
  * Added "-isp" flags to dpkg-gencontrol.

 -- Paul Martin <pm@debian.org>  Sat, 17 Mar 2001 12:42:12 +0000

ssmtp (2.38-9) unstable; urgency=low

  * /etc/mailname logic fix (Closes: #71632)
  * Patch for 'dot-stuffing' bug (Closes: #72348)
  * Americanised spelling cleanup

 -- Matt Ryan <matt@banana.org.uk>  Fri, 29 Sep 2000 15:22:44 +0100

ssmtp (2.38-8) unstable; urgency=low

  * Patch to fix reference to pointer which has been freed (Closes: #71245)

 -- Matt Ryan <matt@banana.org.uk>  Sun, 10 Sep 2000 10:51:48 +0100

ssmtp (2.38-7) unstable; urgency=low

  * Added extended and reworded descriptions for debconf (Closes: #70733)

 -- Matt Ryan <matt@banana.org.uk>  Sat,  2 Sep 2000 12:46:28 +0100

ssmtp (2.38-6) unstable; urgency=low

  * Fixed problem with timezone offset (Closes: #67385)
  * Fixes uncompressed manpages (Closes: #67606)
  * Fixes broken address parsing (Closes: #69759)
  * Fixed config file option FromLineOverride missing from debconf
    (Closes: #65195)

 -- Matt Ryan <matt@banana.org.uk>  Tue, 29 Aug 2000 11:37:12 +0100

ssmtp (2.38-5) unstable; urgency=low

  * Added patch to fixed problems when using "FromLineOverride=yes"
    (Closes: #64724)

 -- Matt Ryan <matt@banana.org.uk>  Thu,  1 Jun 2000 20:16:40 +0100

ssmtp (2.38-4) unstable; urgency=low

  * Changed debian/rules to allow build on other architectures (Closes: #63896)

 -- Matt Ryan <matt@banana.org.uk>  Thu,  1 Jun 2000 20:04:55 +0100

ssmtp (2.38-3) unstable; urgency=high

  * Added patch from Joel Rosdahl to accept mail addresses that cross <NL>
    boundaries (Closes: #61206)
  * Added fix for stripping of last character in messages when no <NL> is
    present (Closes: #63481)
  * Added fix to append rewrite domain or hostname when missing from address
    (Closes: #63447)

 -- Matt Ryan <matt@banana.org.uk>  Fri,  5 May 2000 17:20:43 +0100

ssmtp (2.38-2) unstable; urgency=high

  * New maintainer, added debconf support.

 -- Matt Ryan <matt@banana.org.uk>  Sat,  4 Mar 2000 15:26:22 +0000

ssmtp (2.38-1) unstable; urgency=high

  * New upstream version (closes: #58863).

 -- Hugo Haas <hugo@debian.org>  Thu, 24 Feb 2000 09:25:32 -0500

ssmtp (2.37-1) unstable; urgency=low

  * New upstream version (closes: #54817).

 -- Hugo Haas <hugo@debian.org>  Sun, 20 Feb 2000 22:37:20 -0500

ssmtp (2.36-1) unstable; urgency=low

  * New upstream release: option -f works as expected (closes: #53313).

 -- Hugo Haas <hugo@debian.org>  Sat,  5 Feb 2000 15:10:43 -0500

ssmtp (2.35-1) unstable; urgency=low

  * New upstream release: patch from Michael Luxton for per-user mailhub
    specification in the revaliases file.
  * Pointing to the right location of the GPL license.

 -- Hugo Haas <hugo@debian.org>  Sun, 16 Jan 2000 13:56:04 -0500

ssmtp (2.34-1) unstable; urgency=low

  * Support for plaintext (base64) login authorization by Grant Edwards
    <grante@comtrol.com>.
  * Fix for buffer offerflow problems by Andreas Trottmann
    <andreas.trottmann@werft22.com>.

 -- Hugo Haas <hugo@debian.org>  Sun, 14 Nov 1999 23:03:25 -0500

ssmtp (2.33-1) unstable; urgency=low

  * New upstream version, closes: bug #38795.

 -- Hugo Haas <hugo@debian.org>  Sun, 14 Nov 1999 23:03:03 -0500

ssmtp (2.32-2) unstable; urgency=low

  * Updated debian/postinst (patch from Joel Rosdahl <joel@debian.org>)

 -- Hugo Haas <hugo@debian.org>  Fri, 12 Mar 1999 18:01:25 +0000

ssmtp (2.32-1) unstable; urgency=low

  * New upstream version: included patch from Joel Rosdahl <joel@debian.org>
    adding "FromLineOverride" option in ssmtp.conf. (#34342)
  * Added German control file by Marcel <dedmoros@gmx.de>.

 -- Hugo Haas <hugo@debian.org>  Thu, 11 Mar 1999 12:10:51 -0600

ssmtp (2.31-1) unstable; urgency=low

  * New upstream version: fixes -R option parsing bug. (#32572)

 -- Hugo Haas <hugo@debian.org>  Sat, 30 Jan 1999 14:43:04 +0000

ssmtp (2.30-1) unstable; urgency=low

  * New upstream version:
    . fixes a bug in argument parsing
    . supports -f, -F and -r options

 -- Hugo Haas <hugo@debian.org>  Fri, 23 Oct 1998 10:20:54 -0500

ssmtp (2.29-2) unstable; urgency=low

  * --help
  * Previous build was looking for configuration files in the wrong place

 -- Hugo Haas <hugo@debian.org>  Sun, 28 Jun 1998 12:45:20 +0100

ssmtp (2.29-1) unstable; urgency=low

  * Cleaned up code
  * Updated to standards 2.4.1.2

 -- Hugo Haas <hugo@debian.org>  Fri, 26 Jun 1998 15:57:30 +0100

ssmtp (2.28-1) unstable; urgency=low

  * New upstream version: supports non-separated options (fixes #22691)

 -- Hugo Haas <hugo@debian.org>  Thu, 11 Jun 1998 21:23:27 +0100

ssmtp (2.27-2) frozen unstable; urgency=low

  * Now refers to the correct configuration file in the postinst script
    (fixes #21848)

 -- Hugo Haas <hugo@debian.org>  Wed, 29 Apr 1998 21:42:59 +0100

ssmtp (2.27-1) frozen unstable; urgency=low

  * 'Root' option now works (fixes #21335)
  * Fixed a problem due to null real names

 -- Hugo Haas <hugo@debian.org>  Sat, 18 Apr 1998 12:41:02 +0100

ssmtp (2.26-4) frozen unstable; urgency=low

  * Updated to standards 2.4.1.0
  * Modified /etc/mailname usage in postinst script

 -- Hugo Haas <hugo@debian.org>  Fri, 17 Apr 1998 12:26:33 +0100

ssmtp (2.26-3) frozen unstable; urgency=low

  * Removed debugging information (Oops!)

 -- Hugo Haas <hugo@debian.org>  Thu,  9 Apr 1998 15:09:01 +0100

ssmtp (2.26-2) frozen unstable; urgency=low

  * Ignored DSN options. Now works with mutt. :-)

 -- Hugo Haas <hugo@debian.org>  Tue,  7 Apr 1998 14:14:40 +0100

ssmtp (2.26-1) frozen unstable; urgency=low

  * New upstream version: removed "horrible trick" used to get RFC822 date
  * Source and installation clean-up

 -- Hugo Haas <hugo@debian.org>  Sat,  4 Apr 1998 01:08:52 +0100

ssmtp (2.25-5) frozen unstable; urgency=low

  * Removed quotes in the From: line

 -- Hugo Haas <hugo@debian.org>  Fri,  3 Apr 1998 21:31:29 +0100

ssmtp (2.25-4) unstable; urgency=low

  * Corrected a typo

 -- Hugo Haas <hugo@debian.org>  Thu, 19 Mar 1998 08:49:13 +0000

ssmtp (2.25-3) unstable; urgency=low

  * Moved configuration files to /etc/ssmtp

 -- Hugo Haas <hugo@debian.org>  Wed, 18 Mar 1998 18:38:04 +0000

ssmtp (2.25-2) unstable; urgency=low

  * Changed manpage

 -- Hugo Haas <hugo@debian.org>  Sat, 14 Mar 1998 02:43:35 +0000

ssmtp (2.25-1) unstable; urgency=low

  * New upstream version

 -- Hugo Haas <hugo@debian.org>  Sat, 14 Mar 1998 02:03:02 +0000

ssmtp (2.24-4) unstable; urgency=low

  * Updated to standards 2.4.0.0
  * Removed debhelper's dh_du

 -- Hugo Haas <hugo@debian.org>  Sun, 22 Feb 1998 11:13:43 +0000

ssmtp (2.24-3) unstable; urgency=low

  * README file modified: incompatibility with Pine explained

 -- Hugo Haas <hugo@debian.org>  Thu, 29 Jan 1998 18:23:47 +0000

ssmtp (2.24-2) unstable; urgency=low

  * Modified the manpage
  * Added a link to sendmail manpage

 -- Hugo Haas <hugo@debian.org>  Wed, 28 Jan 1998 20:54:16 +0000

ssmtp (2.24-1) unstable; urgency=low

  * New upstream version: configuration parsing changed (#17470)
  * Declared configuration files as conffiles
  * Changed the Makefile
  * Changed the logging verbosity

 -- Hugo Haas <hugo@debian.org>  Mon, 26 Jan 1998 22:40:49 +0000

ssmtp (2.23-1) unstable; urgency=low

  * New upstream version (#17240)
  * Enabled RewriteDomain option
  * Enabled Syslog option

 -- Hugo Haas <hugo@debian.org>  Mon, 19 Jan 1998 15:18:53 +0000

ssmtp (2.22-2) unstable; urgency=low

  * Add /usr/lib/sendmail symlink (#17178)

 -- Hugo Haas <hugo@debian.org>  Fri, 16 Jan 1998 14:27:37 +0000

ssmtp (2.22-1) unstable; urgency=high

  * New upstream version (#15690)
  * Correct typo in /etc/ssmtp.conf (#15690)

 -- Hugo Haas <hugo@debian.org>  Sun, 21 Dec 1997 17:49:05 +0100

ssmtp (2.21-1) unstable; urgency=low

  * New upstream version (RCPT bug fixed)

 -- Hugo Haas <hugo@debian.org>  Tue, 11 Nov 1997 15:14:19 +0000

ssmtp (2.2-1) unstable; urgency=low

  * New maintainer
  * New upstream version

 -- Hugo Haas <hugo@debian.org>  Sun, 26 Oct 1997 12:08:24 +0100

ssmtp (2.1) unstable; urgency=low

  * Make it a native package. I am the upstream maintainer also now.
  * Change Copyright to GPL
  * Remove old documentation

 -- Christoph Lameter <clameter@debian.org>  Mon, 29 Sep 1997 17:42:50 -0700

ssmtp (2.0-4) unstable; urgency=low

  * Fix manpage

 -- Christoph Lameter <clameter@debian.org>  Mon, 29 Sep 1997 08:04:58 -0700

ssmtp (2.0-3) unstable; urgency=low

  * Implement the sendmail -t option (limited!)
  * Limit header size to 4K (easier programming, spam protection)

 -- Christoph Lameter <clameter@debian.org>  Sun, 28 Sep 1997 20:50:35 -0700

ssmtp (2.0-2) unstable; urgency=low

  * Changes to documentation
  * Move config file to /etc/ssmtp.conf

 -- Christoph Lameter <clameter@debian.org>  Sun, 28 Sep 1997 14:53:36 -0700

ssmtp (2.0-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Thu, 22 May 1997 22:18:24 -0700
